org.eclipse.mat.util

## Class RegistryReader<D>

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<D>

Direct Known Subclasses:
  CollectionExtractorProviderRegistry, EditorPaneRegistry, EnhancerRegistry, HeapDumpProviderRegistry, ParserRegistry, QueryRegistry, RendererRegistry, SpecFactory, SubjectRegistry, ThreadDetailResolverRegistry, TroubleTicketResolverRegistry

    public abstract class RegistryReader<D>
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addExtension(IExtensionTracker tracker, IExtension extension)`
`Collection<D>` `delegates()`
`void` `removeExtension(IExtension extension, Object[] objects)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addExtension

    public final void addExtension(IExtensionTracker tracker,
                                   IExtension extension)

#### removeExtension

    public final void removeExtension(IExtension extension,
                                      Object[] objects)

#### delegates

    public Collection<D> delegates()